From 22af60d23768dcbd5325449e0f2ebe80b3216c0f Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 01 2020 22:49:47 +0000
Subject: [PATCH 1638/2232] Fix enum PartialOrd and Ord derives


---

diff --git a/macro/src/derive.rs b/macro/src/derive.rs
index 3379c9c..5e9b8a9 100644
--- a/macro/src/derive.rs
+++ b/macro/src/derive.rs
@@ -255,7 +255,7 @@ fn enum_ord(enm: &Enum, span: Span) -> TokenStream {
 
     quote_spanned! {span=>
         impl ::std::cmp::Ord for #ident {
-            pub fn cmp(&self, other: &Self) -> ::std::cmp::Ordering {
+            fn cmp(&self, other: &Self) -> ::std::cmp::Ordering {
                 ::std::cmp::Ord::cmp(&self.repr, &other.repr)
             }
         }
@@ -267,8 +267,8 @@ fn enum_partial_ord(enm: &Enum, span: Span) -> TokenStream {
 
     quote_spanned! {span=>
         impl ::std::cmp::PartialOrd for #ident {
-            pub fn cmp(&self, other: &Self) -> ::std::option::Option<::std::cmp::Ordering> {
-                ::std::cmp::PartialOrd::cmp(&self.repr, &other.repr)
+            fn partial_cmp(&self, other: &Self) -> ::std::option::Option<::std::cmp::Ordering> {
+                ::std::cmp::PartialOrd::partial_cmp(&self.repr, &other.repr)
             }
         }
     }

